local fn = vim.fn
local install_path = fn.stdpath('data')..'/site/pack/packer/start/packer.nvim'
if fn.empty(fn.glob(install_path)) > 0 then
  packer_bootstrap = fn.system({'git', 'clone', '--depth', '1', 'https://github.com/wbthomason/packer.nvim', install_path})
end

-- Only required if you have packer configured as `opt`
vim.cmd [[packadd packer.nvim]]

return require('packer').startup(function(use)
  -- Packer can manage itself
  use 'wbthomason/packer.nvim'

	-- LSP / COMPLETION --
	use {'neoclide/coc.nvim', branch = "release"}

	-- Gruvbox colorscheme
	use 'ellisonleao/gruvbox.nvim'

	use 'lukas-reineke/indent-blankline.nvim'

	use {'nvim-treesitter/nvim-treesitter', run = ':TSUpdate'}

  -- Automatically set up your configuration after cloning packer.nvim
  -- Put this at the end after all plugins
  if packer_bootstrap then
    require('packer').sync()
  end
end)

-- This file can be loaded by calling `lua require('plugins')` from your init.vim
